init offset = -1










style default:
    properties gui.text_properties()
    language gui.language

style input:
    properties gui.text_properties("input", accent=True)
    adjust_spacing False

style hyperlink_text:
    properties gui.text_properties("hyperlink", accent=True)
    hover_underline True

style gui_text:
    properties gui.text_properties("interface")


style button:
    properties gui.button_properties("button")

style button_text is gui_text:
    properties gui.text_properties("button")
    yalign 0.5


style label_text is gui_text:
    properties gui.text_properties("label", accent=True)

style prompt_text is gui_text:
    properties gui.text_properties("prompt")


style bar:
    ysize gui.bar_size
    left_bar Frame("gui/bar/left.png", gui.bar_borders, tile=gui.bar_tile)
    right_bar Frame("gui/bar/right.png", gui.bar_borders, tile=gui.bar_tile)

style vbar:
    xsize gui.bar_size
    top_bar Frame("gui/bar/top.png", gui.vbar_borders, tile=gui.bar_tile)
    bottom_bar Frame("gui/bar/bottom.png", gui.vbar_borders, tile=gui.bar_tile)

style scrollbar:
    ysize gui.scrollbar_size
    base_bar Frame("gui/scrollbar/horizontal_[prefix_]bar.png", gui.scrollbar_borders, tile=gui.scrollbar_tile)
    thumb Frame("gui/scrollbar/horizontal_[prefix_]thumb.png", gui.scrollbar_borders, tile=gui.scrollbar_tile)
    unscrollable "hide"

style vscrollbar:
    xsize gui.scrollbar_size
    base_bar Frame("gui/scrollbar/vertical_[prefix_]bar.png", gui.vscrollbar_borders, tile=gui.scrollbar_tile)
    thumb Frame("gui/scrollbar/vertical_[prefix_]thumb.png", gui.vscrollbar_borders, tile=gui.scrollbar_tile)
    unscrollable "hide"

style slider:
    ysize gui.slider_size
    base_bar Frame("gui/slider/horizontal_[prefix_]bar.png", gui.slider_borders, tile=gui.slider_tile)
    thumb "gui/slider/horizontal_[prefix_]thumb.png"

style vslider:
    xsize gui.slider_size
    base_bar Frame("gui/slider/vertical_[prefix_]bar.png", gui.vslider_borders, tile=gui.slider_tile)
    thumb "gui/slider/vertical_[prefix_]thumb.png"


style frame:
    padding gui.frame_borders.padding
    background Frame("gui/frame.png", gui.frame_borders, tile=gui.frame_tile)



style trans is text:
    color "#158eff"
    size 44
    font "fonts/Futura.ttc"

image trantext = ParameterizedText(style="trans")




















screen say(who, what):
    style_prefix "say"

    window:
        id "window"

        if who is not None:

            window:
                style "namebox"
                text who id "who"

        text what id "what"




    if not renpy.variant("small"):
        add SideImage() xalign 0.0 yalign 1.0


style window is default
style say_label is default
style say_dialogue is default
style say_thought is say_dialogue:
    italic True
    color "#dddddd"




style namebox is default
style namebox_label is say_label

style window:
    xalign 0.5
    xfill True
    yalign gui.textbox_yalign
    ysize gui.textbox_height

    background Image("gui/textbox.png", xalign=0.5, yalign=1.0)

style namebox:
    xpos gui.name_xpos
    xanchor gui.name_xalign
    xsize gui.namebox_width
    ypos gui.name_ypos
    ysize gui.namebox_height

    background Frame("gui/namebox.png", gui.namebox_borders, tile=gui.namebox_tile, xalign=gui.name_xalign)
    padding gui.namebox_borders.padding

style say_label:
    properties gui.text_properties("name", accent=True)
    xalign gui.name_xalign
    yalign 0.5

style say_dialogue:
    properties gui.text_properties("dialogue")
    xpos gui.dialogue_xpos
    xsize gui.dialogue_width
    ypos gui.dialogue_ypos

    color gui.text_color













screen input(prompt):
    style_prefix "input"

    window:

        has vbox:
            xalign gui.dialogue_text_xalign
            xpos gui.dialogue_xpos
            xsize gui.dialogue_width
            ypos gui.dialogue_ypos

        text prompt style "input_prompt"
        input id "input"

style input_prompt is default

style input_prompt:
    xalign gui.dialogue_text_xalign
    properties gui.text_properties("input_prompt")

style input:
    xalign gui.dialogue_text_xalign
    xmaximum gui.dialogue_width










screen choice(items):
    style_prefix "choice"

    vbox:
        for i in items:
            textbutton i.caption action i.action




define config.narrator_menu = True


style choice_vbox is vbox
style choice_button is button
style choice_button_text is button_text

style choice_vbox:
    xalign 0.5
    ypos 480
    yanchor 0.5
    spacing gui.choice_spacing

style choice_button is default:
    properties gui.button_properties("choice_button")

style choice_button_text is default:
    properties gui.button_text_properties("choice_button")







screen quick_menu():


    zorder 100

    if quick_menu:

        hbox:
            style_prefix "quick"

            xalign 0.5
            yalign 1.0

            textbutton _("Back") action Rollback()
            textbutton _("History") action ShowMenu('history')
            textbutton _("Skip") action Skip() alternate Skip(fast=True, confirm=True)
            textbutton _("Auto") action Preference("auto-forward", "toggle")
            textbutton _("Save") action ShowMenu('save')
            textbutton _("Q.Save") action QuickSave()
            textbutton _("Q.Load") action QuickLoad()
            textbutton _("Prefs") action ShowMenu('preferences')




init python:
    config.overlay_screens.append("quick_menu")

default quick_menu = True

style quick_button is default
style quick_button_text is button_text

style quick_button:
    properties gui.button_properties("quick_button")

style quick_button_text:
    properties gui.button_text_properties("quick_button")











screen navigation():

    vbox:
        style_prefix "navigation"
        at fade_in
        xpos gui.navigation_xpos
        yalign 0.5


        spacing gui.navigation_spacing

        if _in_replay:

            textbutton _("End Replay") action EndReplay(confirm=True)

        if main_menu:

            textbutton _("Begin") action Start()

        else:

            textbutton _("Save") action ShowMenu("save")

        textbutton _("Load") action ShowMenu("load")

        textbutton _("Preferences") action ShowMenu("preferences")







        if not main_menu:

            textbutton _("Main Menu") action MainMenu()

        textbutton _("Scene Gallery") action ShowMenu("replayGallery")

        textbutton _("Photo Gallery") action ShowMenu("gallery")

        textbutton _("Music List") action ShowMenu("musicbox")


        textbutton _("About") action ShowMenu("about")



        if renpy.variant("pc"):


            if renpy.exists("cobd-guide.pdf"):
                textbutton _("Help & Guide") action ShowMenu("help")
            else:
                textbutton _("Help") action ShowMenu("help")


            textbutton _("Quit") action Quit(confirm=not main_menu)


style navigation_button is gui_button
style navigation_button_text is gui_button_text

style navigation_button:
    size_group "navigation"
    properties gui.button_properties("navigation_button")

style navigation_button_text:
    properties gui.button_text_properties("navigation_button")

style statframe_frame:
    background "#0008"
style namestyle:
    size 12
    bold True
    outlines [(2,"#000",0,0)]
style titlestyle:
    bold True
    size 14
    underline True

style namestylephone:
    size 20
    bold True
    outlines [(2,"#000",0,0)]
style titlestylephone:
    bold True
    size 22
    underline True

style titlescorestyle is titlestyle
style titleluststyle is titlestyle
style titlescorestyle:
    color "#6677ff"

style titleluststyle:
    color "#ff4466"

style titlescorestylephone is titlestylephone
style titleluststylephone is titlestylephone
style titlescorestylephone:
    color "#6677ff"

style titleluststylephone:
    color "#ff4466"



screen pat_logo():

    hbox:
        style_prefix "pat_logo"
        xpos gui.navigation_xpos





        imagebutton auto "common/patreon_%s.png" action OpenURL(website)
        null width 20
        imagebutton auto "common/discord_%s.png" action OpenURL("https://discord.gg/TReQu7z")
        yalign 1.0
        yoffset -40





screen control():
    style_prefix "statbox"
    zorder 100
    frame:
        has vbox:
            xalign 0.02
            yalign 0.02
        if pdastart:
            textbutton "INFO" action [If(renpy.get_screen("closearea"), Hide("closearea"), Show("closearea")), If(renpy.get_screen("pda"), Hide("pda"), Show("pda")), If(renpy.get_screen("pda_content"), Hide("contacts"), Show("contacts")), If(renpy.get_screen("glossary"), Hide("glossary")), If(renpy.get_screen("replayGalleryPDA"), Hide("replayGalleryPDA")), If(renpy.get_screen("galleryPDA"), Hide("galleryPDA"))]







screen pda():


    style_prefix "pda"
    zorder 100 tag menu

    frame at pda_appear:
        xalign 0.5
        padding (40,40)
        background Frame("gui/overlay/pda.png", Borders(25,25,25,25), tile=gui.frame_tile)


        xysize (780, 800)
        has frame:
            background None
            xysize (500, 70)
            xalign 0.5
        hbox:
            textbutton "Contacts" action Show("contacts")
            textbutton "Glossary" action Show("glossary")
            textbutton "Images" action Show("galleryPDA")







transform pda_appear:
    on show:
        alpha 0
        ypos 150
        linear 0.5 alpha 1.0 ypos 100
    on hide:
        linear 0.5 alpha 0.0 ypos 150

style pda_frame is empty
style pda_window is empty
style statbox_frame is empty


transform pda_contents:
    on show:
        alpha 0
        ypos 270
        linear 0.5 alpha 1.0 ypos 220
    on hide:
        linear 0.5 alpha 0.0 ypos 270
    on replace:
        ypos 220
        alpha 0
        pause 0.5
        linear 0.5 alpha 1.0
    on replaced:
        ypos 220
        alpha 1.0
        linear 0.5 alpha 0.0

transform pda_contents_hide:
    on hide:
        alpha 1.0
        ypos 250
        linear 0.5 alpha 0.0 ypos 300
    on replace:
        ypos 250
        alpha 0
        pause 0.5
        linear 0.5 alpha 1.0
    on replaced:
        ypos 250
        alpha 1.0
        linear 0.5 alpha 0.0

screen closearea():
    zorder 99
    vbox at closearea_appear:
        imagebutton auto "gui/pdabackground_%s.png" action [Hide("closearea"),Hide("pda"),Hide("contacts"), Hide("glossary"), Hide("replayGalleryPDA"), Hide("galleryPDA")]

transform closearea_appear:
    on show:
        alpha 0
        linear 0.5 alpha 0.5
    on hide:
        linear 0.5 alpha 0.0



screen contacts():



    zorder 101 tag pda_content
    frame at pda_contents:
        on "replaced" action With(Fade(0.2))
        on "replace" action With(Fade(0.2))
        background None

        xysize (680, 620)
        xalign 0.5

        ypos 250

        side "c r":
            area (0, 0, 680, 620)

            viewport id "vp":
                draggable True
                mousewheel True
                has vbox:
                    spacing 10
                null width 270
                if k_met:
                    label "Katie Hamilton {size=-4}{color=#fff}(Score: {b}[k_score]{/b} Lust: {b}[k_lust]{/b}){/color}{/size}"
                    hbox:
                        spacing 10
                        add "gui/portraits/katie.jpg"
                        vbox:
                            text k_bio size 18

                else:
                    null height 20

                if e_met:
                    label "Ellen Lane {size=-4}{color=#fff}(Score: {b}[e_score]{/b} Lust: {b}[e_lust]{/b}){/color}{/size}"
                    hbox:
                        spacing 10
                        add "gui/portraits/ellen.jpg"
                        vbox:
                            text e_bio size 18
                else:
                    null height 20


                if v_met:
                    label "Victoria Shields {size=-4}{color=#fff}(Score: {b}[v_score]{/b} Lust: {b}[v_lust]{/b}){/color}{/size}"
                    hbox:
                        spacing 10
                        add "gui/portraits/victoria.jpg"
                        vbox:
                            text v_bio size 18
                else:
                    null height 20

                if c_met:
                    label "Chandra White {size=-4}{color=#fff}(Score: {b}[c_score]{/b} Lust: {b}[c_lust]{/b}){/color}{/size}"
                    hbox:
                        spacing 10
                        add "gui/portraits/chandra.jpg"
                        vbox:
                            text c_bio size 18
                else:
                    null height 20

                if g_met:
                    label "Gloria Conner {size=-4}{color=#fff}(Score: {b}[g_score]{/b} Lust: {b}[g_lust]{/b}){/color}{/size}"
                    hbox:
                        spacing 10
                        add "gui/portraits/gloria.jpg"
                        vbox:
                            text g_bio size 18
                else:
                    null height 20



            vbar value YScrollValue("vp")







screen glossary():



    zorder 101 tag pda_content
    frame at pda_contents_hide:
        on "replaced" action With(Fade(0.2))
        on "replace" action With(Fade(0.2))
        background None
        xysize (680, 620)
        xalign 0.5
        ypos 250

        side "c r":
            area (0, 0, 680, 620)

            viewport id "vp":

                draggable True
                mousewheel True
                has vbox:
                    style_prefix "terms"
                if persistent.glos_augment:
                    vbox:
                        label "Augment"
                        text "The Augment program was created by the Baynard Corporation during the East Asia War. Used to help boost a soldier's skill in battle, the program was later adapted for other abilities. Baynard reportedly terminated its use due to the high fatality rate."
                if persistent.glos_bay:
                    vbox:
                        label "Baynard Industries"
                        text "A US-based corporation that exploded to success during East Asia War. Primarily focused on biotech and medical research, they have also assisted the military on various classified projects."
                if persistent.glos_bolters:
                    vbox:
                        label "Bolters"
                        text "A collection of criminals and misfits that use the cover of Lakewood to hide from authorities. In the last year their number has almost doubled giving them a stranglehold on the region."
                if persistent.glos_gds:
                    vbox:
                        label "GDS"
                        text "Genetic Damage Syndrome: A disease that first appeared 20 years ago all across the globe. Symptoms first manifest when the subject reaches adolescence. The number of new reported cases have increased year over year. So far, no one has been able to determine its cause or found any effective treatment. Individuals afflicted often develop physical deformities. And, in rare instances, these mutations can provide advantages, such as improved strength, speed, and cognitive abilities."
                if persistent.glos_ghost:
                    vbox:
                        label "Ghost"
                        text "Contract mercenaries used almost exclusively by the corporate world and the elites.  Ghosts operate in a grey area, licensed by the state and are effectively above the law. They are used for corporate espionage and target acquisition.  The term Ghost was originally used for them due to their reputation for leaving no trace of their activities. In recent years, the name has stuck even as more and more Ghosts act in the open and often with extreme prejudice.  Ghosts are given their contracts via a third party, known as a fixer."
                if persistent.glos_milcher:
                    vbox:
                        label "Milcher"
                        text "The term got its start in Germany, where the public became resentful that those with the disease were \"leeching\" off the government. Humanity being much the same across the globe, the name quickly caught on anywhere GDS population reached a noticeable level."
                if persistent.glos_miltown:
                    vbox:
                        label "Mil-town"
                        text "In many major cities, GDS afflicted individuals eventually end up living in a concentrated geographic space. They were either being forced out of other areas, or they were moving to live around others like themselves. These areas commonly called Mil-towns have developed their own cultures, but are very often slums. The Los Angeles Mil-Town is known as Lakewood."

                if persistent.glos_nanofluid:
                    vbox:
                        label "Nanofluid"
                        text "Experimental medical compound being perfected by Baynard Industries. Numerous iterations of the fluid have been developed to maintain its longevity and effectiveness. Its most successful applications have been: dermal regeneration, nerve replacement and cancer therapy."
                if persistent.glos_newyears:
                    vbox:
                        label "New Year's Strikes"
                        text "The attack which ended the East Asian Conflict, in which high-yield nuclear weapons destroyed most of Tokyo and Osaka. The strikes happened just after midnight, January 1, 2030, during what was thought to be an armistice.  According to PRC sources the missiles were sent in retaliation to a first strike attempt by Japan. No evidence of Japan launching nuclear missiles was ever found."

                if persistent.glos_redmoon:
                    vbox:
                        label "Redmoon"
                        text "Elite cybernetic soldiers created by the Akatsuki Corporation for the Japanese Defense Force. To this day, they are the greatest achievement ever derived in cybernetics."
                if persistent.glos_sculptor:
                    vbox:
                        label "Sculptor"
                        text "In their trade, they modify the records of an individual's DNA profile, so that they differ from the real person, or setup to match another individual. The mapping has to be setup in a way that automatic AI diagnostics do not pick up anything that can be flagged as false or manipulated."
                if persistent.glos_vostok:
                    vbox:
                        label "Vostok"
                        text "A Russian multinational corporation that is a world leader in robotics. Before the war, they were one of the pioneers in the cyber-tech industry. During the war, however, they sold their technology to both sides and were later heavily sanctioned for it. As of this day, they are banned from any research in cyber-tech."




            vbar value YScrollValue("vp")


style terms_vbox:
    spacing 10

style terms_text:
    size 18








































































































screen hidden_item(cardimage, pername, xpos, ypos, xsize, ysize):
    imagebutton:
        hover cardimage + "_hover"
        idle cardimage + "_idle"
        xpos xpos
        ypos ypos
        xsize xsize
        ysize ysize
        action [SetField(persistent, pername, True), Hide("hidden_item", dissolve), Show("notify", message = ['Secret Found', 'alert'])]

screen patreon_link_end():
    imagebutton:
        hover "link_hover"
        idle "link_idle"
        xpos 910
        ypos 508
        xsize 321
        ysize 41
        action OpenURL(website)









image main_menu = Movie(channel="main_menu", play="gui/menumovie.webm")


screen main_menu():




    style_prefix "main_menu" tag menu
    add "main_menu"



    frame




    use navigation
    use pat_logo

    if gui.show_name:

        vbox:
            text "[config.name!t]":
                style "main_menu_title"
            text "[config.version]":
                style "main_menu_version"





style main_menu_frame is empty
style main_menu_vbox is vbox
style main_menu_text is gui_text
style main_menu_title is main_menu_text
style main_menu_version is main_menu_text

style main_menu_frame:
    xsize 280
    yfill True



style main_menu_vbox:
    xalign 1.0
    xoffset -20
    xmaximum 800
    yalign 1.0
    yoffset -10

style main_menu_text:
    properties gui.text_properties("main_menu", accent=True)

style main_menu_title:
    color "#ffffff"
    size 12
    properties gui.text_properties("title")

style main_menu_version:
    size 12
    color "#ffffff"
    properties gui.text_properties("version")











init -501 screen game_menu(title, scroll=None):

    style_prefix "game_menu"

    if main_menu:
        add gui.main_menu_background
    else:
        add gui.game_menu_background

    frame:
        style "game_menu_outer_frame"

        has hbox


        frame:
            style "game_menu_navigation_frame"

        frame:
            style "game_menu_content_frame"

            if scroll == "viewport":

                viewport:
                    scrollbars "vertical"
                    mousewheel True
                    draggable True

                    side_yfill True

                    has vbox
                    transclude

            elif scroll == "vpgrid":

                vpgrid:
                    cols 1
                    yinitial 1.0

                    scrollbars "vertical"
                    mousewheel True
                    draggable True

                    side_yfill True

                    transclude

            else:

                transclude

    use navigation

    textbutton _("Return"):
        style "return_button"

        action Return()

    label title

    if main_menu:
        key "game_menu" action ShowMenu("main_menu")


style game_menu_outer_frame is empty
style game_menu_navigation_frame is empty
style game_menu_content_frame is empty
style game_menu_viewport is gui_viewport
style game_menu_side is gui_side
style game_menu_scrollbar is gui_vscrollbar

style game_menu_label is gui_label
style game_menu_label_text is gui_label_text

style return_button is navigation_button
style return_button_text is navigation_button_text

style game_menu_outer_frame:
    bottom_padding 30
    top_padding 120

    background "gui/overlay/game_menu.png"

style game_menu_navigation_frame:
    xsize 340
    yfill True

style game_menu_content_frame:
    left_margin 40
    right_margin 20
    top_margin 10

style game_menu_viewport:

    xsize 1400
style game_menu_vscrollbar:
    unscrollable gui.unscrollable

style game_menu_side:
    spacing 10

style game_menu_label:
    xpos 50
    ysize 120

style game_menu_label_text:
    size gui.title_text_size
    color gui.accent_color
    yalign 0.5

style return_button:
    xpos gui.navigation_xpos
    yalign 1.0
    yoffset -30









screen about():
    tag menu





    use game_menu(_("About"), scroll="viewport"):

        style_prefix "about"

        vbox:

            label "[config.name!t]"
            text _("Version [config.version!t]\n")


            if gui.about:
                text "[gui.about!t]\n"

            text _("Made with {a=https://www.renpy.org/}Ren'Py{/a} [renpy.version_only].\n\n[renpy.license!t]")



define gui.about = ""


style about_label is gui_label
style about_label_text is gui_label_text
style about_text is gui_text

style about_label_text:
    size gui.label_text_size





screen replayGalleryPDA():

    python:
        import math
        replays = []
        replays.append([persistent.ch1chan, "#", "ch1chan", "ch1alley"])
        replays.append([persistent.ch1ellen, "#", "ch1ellen", "ch1ellen"])
        replays.append([persistent.ch1futa, "#", "ch1futa", "ch1homealone"])
        replays.append([persistent.ch1vic, "#", "ch1vic", "ch1dinner2"])

        replays.append([persistent.ch2ellen, "#", "ch1ellen", "ch2partyellen"])
        replays.append([persistent.ch2vic, "#", "ch1vic", "ch2vicstart"])
        replays.append([persistent.ch2shanlon, "#", "ch1shanlon", "ch2shanlonstart"])

        replays.append([persistent.ch3venusprincess, "#", "ch3venusprincess", "ch3venusprincess"])
        replays.append([persistent.ch3venusslut, "#", "ch3venusslut", "ch3venusslut"])
        replays.append([persistent.ch3chandra, "#", "ch3chandra", "ch3chandra"])


        replaylength = len(replays)
        colcount = 2
        rowcount = int(math.ceil((float(replaylength) / colcount)))
        remainder = (replaylength % colcount)



    zorder 101 tag pda_content
    frame at pda_contents:
        on "replaced" action With(Fade(0.2))
        on "replace" action With(Fade(0.2))
        background None

        xysize (680, 620)
        xalign 0.5

        ypos 250

        side "c r":
            area (0, 0, 680, 620)

            viewport id "vp":
                draggable True
                mousewheel True
                has vbox:
                    style_prefix "about"


                label _("Scene Gallery")

                null height 20

                grid colcount rowcount:
                    spacing 10

                    for i in replays:
                        if i[0]:
                            imagebutton:
                                idle i[2] + "_idle"
                                hover i[2] + "_hover"
                                action Replay(i[3])
                        else:
                            imagebutton:
                                idle i[2] + "_locked"


                    if remainder == 1:
                        null height 20


            vbar value YScrollValue("vp")











screen replayGallery():
    tag menu
    python:
        import math
        replays = []
        replays.append([persistent.ch1chan, "#", "ch1chan", "ch1alley",[]])
        replays.append([persistent.ch1ellen, "#", "ch1ellen", "ch1ellen",[]])
        replays.append([persistent.ch1futa, "#", "ch1futa", "ch1homealone",[persistent.ch1futa1]])
        replays.append([persistent.ch1vic, "#", "ch1vic", "ch1dinner2",[persistent.ch1vic1]])

        replays.append([persistent.ch2ellen, "#", "ch2ellen", "ch2partyellen",[]])
        replays.append([persistent.ch2vic, "#", "ch2vic", "ch2vicstart",[]])
        replays.append([True, "#", "ch2alexis", "ch2alexis",[]])
        replays.append([persistent.ch2shanlon, "#", "ch2shanlon", "ch2shanlonstart",[persistent.ch2shanlon1]])
        replays.append([persistent.ch3venusprincess, "#", "ch3venusprincess", "ch3venusprincess",[]])

        replays.append([persistent.ch3venusslut, "#", "ch3venusslut", "ch3venusslut",[]])
        replays.append([persistent.ch3chandra, "#", "ch3chandra", "ch3chandra",[persistent.ch3chandra1,persistent.ch3chandra2,persistent.ch3chandra3,persistent.ch3chandra4]])
        replays.append([persistent.ch4doc, "#", "ch4doc", "ch4wakeupcont",[persistent.ch4doc1]])
        replays.append([True, "#", "ch4vicmer", "ch4vicmer",[]])
        replays.append([persistent.ch4vicdep, "#", "ch4vicdep", "ch4vicdep",[]])

        replays.append([persistent.ch4vic, "#", "ch4vic", "ch4vickiss", [persistent.ch4vic1]])
        replays.append([persistent.ch5chandrasex, "#", "ch5chandra", "ch5chandra",[]])
        replays.append([True, "#", "ch5shanlon", "ch5shanlonbreak",[]])
        replays.append([persistent.ch5ellensex, "#", "ch5ellen", "ch5ellensex",[persistent.ch5ellen1]])
        
        replays.append([True, "#", "ch6sasha", "ch6missionwatch",[]])
        replays.append([persistent.ch6venussex, "#", "ch6venussex", "ch6venusslutscene",[]])
        replays.append([persistent.ch6vicsex, "#", "ch6vicsex", "ch6venusvictoria",[]])
        replays.append([persistent.ch6carlisex, "#", "ch6carli", "ch6carli",[]])
        replays.append([persistent.ch6katiesex, "#", "ch6katiesex", "ch6docstart",[persistent.ch6katiesex1,persistent.ch6katiesex2,persistent.ch6katiesex3,persistent.ch6katiesex4]])

        replays.append([persistent.ch7katiesex, "#", "ch7katiesex", "ch7katiestart",[]])
        replays.append([True, "#", "ch7hospital", "cp7_gall",[]])
        replays.append([persistent.ch7vicdep, "#", "ch7vicdep", "ch7meredithsex",[]])
        replays.append([persistent.ch7vicsex, "#", "ch7vicsex", "ch7vicsex",[persistent.ch7vicsex1,persistent.ch7vicsex2]])
        replays.append([persistent.ch7ellensex, "#", "ch7ellensex", "ch7stairwayellenexplore",[persistent.ch7ellenanal]])

        replays.append([persistent.ch8shanlon, "#", "ch8shanlonsex", "ch8sexkitten",[persistent.ch8sexkitten1,persistent.ch8sexkitten2,persistent.ch8sexkitten3,persistent.ch8sexkitten4]])
        replays.append([True, "#", "ch8sasha", "ch8inter",[]])
        replays.append([persistent.ch8katie, "#", "ch8docsex", "ch8stairdoc",[]])
        replays.append([persistent.ch8venus, "#", "ch8venussex", "ch8stairvenus",[persistent.ch8venus1]])


        replays.append([persistent.ch9abby, "#", "ch9abby", "ch9abby",[]])
        replays.append([persistent.ch9ellendream, "#", "ch9ellendream", "ch9dreamellenapt",[persistent.ch9ellendream1, persistent.ch9ellendream2]])
        replays.append([persistent.ch9lewddream, "#", "ch9lewddream", "ch9lewddream",[persistent.ch9lewddream1]])
        replays.append([persistent.ch9bad, "#", "ch9bad", "ch9pitmainbadbonus",[]])

        replays.append([persistent.ch10gloria, "#", "ch10gloria", "ch10gloria",[persistent.ch10gloria1, persistent.ch10gloria2]])
        replays.append([True, "#", "ch10shanlon", "ch10garage",[]])
        replays.append([persistent.ch10ellen, "#", "ch10ellen", "ch10ellen",[persistent.ch10ellen1]])
        replays.append([True, "#", "ch10venus", "ch10stairwaydoc",[]])
        
        replays.append([persistent.ch10katie, "#", "ch10katie", "ch10katiesex",[persistent.ch10katie1]])
        replays.append([True, "#", "ch10gshower", "ch10gloriashower",[]])
        replays.append([persistent.ch10sonja, "#", "ch10sonja", "ch10sonjasex",[]])
        replays.append([persistent.ch11vic, "#", "ch11vic", "ch11victorialove",[persistent.ch11vic1]])
        replays.append([persistent.ch11vicbad, "#", "ch11vicbad", "ch11victoriabad",[]])
        replays.append([persistent.ch11shanlon, "#", "ch11shanlon", "ch11shanlonstart",[]])
        replays.append([persistent.ch11chandra, "#", "ch11chandra", "ch11chandra",[persistent.ch11chandra1]])
        replays.append([persistent.ch11gloria, "#", "ch11gloria", "ch11gloria",[]])
        replays.append([persistent.ch12ellen, "#", "ch12ellen", "ch12ellensex",[persistent.ch12ellen1]])
        replays.append([persistent.ch12katie, "#", "ch12katie", "ch12katiesexstart",[]])
        replays.append([persistent.ch12victoriashower, "#", "ch12victoriashower", "ch12victoriashower",[]])
        replays.append([persistent.ch12sasha, "#", "ch12sasha", "ch12sasha",[]])
        replays.append([persistent.ch12depraved, "#", "ch12depraved", "ch12depraved",[]])

        replays.append([persistent.ch13victoria, "#", "ch13victoria", "ch13victorialovescene",[]])
        replays.append([persistent.ch13gloria, "#", "ch13gloria", "ch13gloriasex",[persistent.ch13gloria1, persistent.ch13gloria2]])
        
        replays.append([persistent.ch13shanlon, "#", "ch13shanlon", "ch13shanlon",[]])
        replays.append([persistent.ch13chandra, "#", "ch13chandra", "ch13chandraabby",[persistent.ch13chandra1,persistent.ch13chandra2]])
        replays.append([persistent.ch13venus, "#", "ch13venus", "ch13venussex",[]])


        replaylength = len(replays)
        colcount = 4
        rowcount = int(math.ceil((float(replaylength) / colcount)))
        remainder = (replaylength % colcount)




    use game_menu(_("Scene Gallery"), scroll="viewport"):

        style_prefix "about"


        label _("Scene Gallery")
        text _("Select unlocked scenes below. The replay will use the last name and pet names you entered. Scenes that have multiple check boxes mean that there are extras in the scene that can be unlocked.")

        null height 20

        grid colcount rowcount:
            spacing 30

            for i in replays:
                if i[0]:
                    vbox:
                        imagebutton:
                            idle i[2] + "_idle"
                            hover i[2] + "_hover"
                            action Replay(i[3],locked=False)
                        if len(i[4]) > 0:
                            hbox:
                                add "gui/check.png"
                                for n in i[4]:
                                    if n == True:
                                        add "gui/check.png"
                                    else:
                                        add "gui/uncheck.png"

                        else:
                            hbox:
                                add "gui/check.png"


                else:
                    vbox:
                        imagebutton:
                            idle i[2] + "_locked"


            if remainder == 3:
                null height 20
            if remainder == 2:
                null height 20
                null height 20

            if remainder == 1:
                null height 20
                null height 20
                null height 20














init -501 screen save():
    $ globals() ["currentScreenName"] = "save"
    tag menu


    use file_slots(_("Save"))


init -501 screen load():
    $ globals() ["currentScreenName"] = "load"
    tag menu


    use file_slots(_("Load"))



init -501 screen modal_input:
    zorder 200
    modal True
    style_prefix "modal_input"
    frame:
        align (0.5, 0.5)
        xysize (600, 250)

        has vbox:
            xalign 0.5
            yoffset -7

        text prompt style "input_prompt" xalign 0.5
        if not renpy.variant("pc"):
            hbox:
                xsize 400
                vbox:
                    xalign 0.0
                    input id "input" style "input_text" length 29
                vbox:
                    xalign 1.0
                    textbutton ">>Enter<<" action Function(renpy.end_interaction,renpy.get_widget("modal_input", "input"))
        else:
            input id "input" style "input_text" length 29 xalign 0.5 yoffset 25

init -1 style modal_input_prompt is default

init -1 style modal_input_prompt:
    xalign gui.dialogue_text_xalign
    yalign 0.5
    properties gui.text_properties("input_prompt")

init -1 style modal_input:
    xalign gui.dialogue_text_xalign
    yalign 0.5
    xmaximum 400

init -1 style modal_input_frame:
    background Frame([ "gui/confirm_frame.png", "gui/frame.png"], gui.confirm_frame_borders, tile=gui.frame_tile)
    padding gui.confirm_frame_borders.padding


init -3 python:
    class get_save_name(FileSave):
        def __init__(self, name, confirm=True, newest=True, page=None, cycle=False):
            super(get_save_name,self).__init__(name=name,confirm=confirm,newest=newest,page=page,cycle=cycle)
        def __call__(self):
            renpy.call_in_new_context("get_save_name")
            return super(get_save_name,self).__call__()

label get_save_name():


    if not renpy.variant("pc"):
        $ save_name_tmp = renpy.call_screen("modal_input", prompt= _("Enter a name for the savegame:"), default = "", length=29)
        $ save_name = save_name_tmp.content if isinstance(save_name_tmp, Text) else save_name_tmp
    else:
        $ save_name = renpy.call_screen("modal_input", prompt= _("Enter a name for the savegame:"), default = "", length=29)
    $ renpy.retain_after_load()
    return


default -1 persistent.pages = 1






screen file_slots(title):
    default page_name_value = FilePageNameInputValue(pattern=_("Page {}"), auto=_("Automatic saves"), quick=_("Quick saves"))

    use game_menu(title):

        fixed:



            order_reverse True


            button:
                style "page_label"

                key_events True
                xalign 0.5
                action page_name_value.Toggle()

                input:
                    style "page_label_text"
                    value page_name_value


            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"

                xalign 0.5
                yalign 0.5

                spacing gui.slot_spacing

                for i in range(gui.file_slot_cols * gui.file_slot_rows):

                    $ slot = i + 1

                    button:


                        if title == "Save" and persistent.saveNaming == True:
                            action [SetVariable("save_name",""), get_save_name(slot)]
                        else:
                            action FileAction(slot)

                        add FileScreenshot(slot) xalign 0.5
                        key "save_delete" action FileDelete(slot)
                        vbox:
                            xalign 0.5
                            yalign 1.0


                            text FileSaveName(slot):
                                style "slot_name_text"
                                size 17


                            text FileTime(slot, format=_("{#file_time}%A, %B %d %Y, %H:%M"), empty=_("empty slot")):
                                style "slot_time_text"


            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0

                spacing gui.page_spacing

                textbutton _("<") action FilePagePrevious()

                if config.has_autosave:
                    textbutton _("{#auto_page}A") action FilePage("auto")

                if config.has_quicksave:
                    textbutton _("{#quick_page}Q") action FilePage("quick")


                for page in range(1, 10):
                    textbutton "[page]" action FilePage(page)

                textbutton _(">") action FilePageNext()


init -501 screen file_slots2(title):

    default page_name_value = FilePageNameInputValue(pattern=_("Page {}"), auto=_("Automatic saves"), quick=_("Quick saves"))

    use game_menu(title):

        fixed:



            order_reverse True


            button:
                style "page_label"

                key_events True
                xalign 0.5
                action page_name_value.Toggle()

                input:
                    style "page_label_text"
                    value page_name_value


            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"

                xalign 0.5
                yalign 0.5

                spacing gui.slot_spacing

                for i in range(gui.file_slot_cols * gui.file_slot_rows):

                    $ slot = i + 1

                    button:



                        action FileAction(slot)

                        has vbox

                        add FileScreenshot(slot) xalign 0.5

                        text FileTime(slot, format=_("{#file_time}%A, %B %d %Y, %H:%M"), empty=_("empty slot")):
                            style "slot_time_text"

                        text FileSaveName(slot):
                            style "slot_name_text"

                        key "save_delete" action FileDelete(slot)


            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0

                spacing gui.page_spacing

                textbutton _("<") action FilePagePrevious()

                if config.has_autosave:
                    textbutton _("{#auto_page}A") action FilePage("auto")

                if config.has_quicksave:
                    textbutton _("{#quick_page}Q") action FilePage("quick")


                for page in range(1, 10):
                    textbutton "[page]" action FilePage(page)

                textbutton _(">") action FilePageNext()


style page_label is gui_label
style page_label_text is gui_label_text
style page_button is gui_button
style page_button_text is gui_button_text

style slot_button is gui_button
style slot_button_text is gui_button_text
style slot_time_text is slot_button_text
style slot_name_text is slot_button_text

style page_label:
    xpadding 50
    ypadding 3

style page_label_text:
    text_align 0.5
    layout "subtitle"
    hover_color gui.hover_color


style page_button:




    left_padding 30
    right_padding 30


style page_button_text:
    properties gui.button_text_properties("page_button")

style slot_button:
    properties gui.button_properties("slot_button")

style slot_button_text:
    properties gui.button_text_properties("slot_button")









screen preferences():
    tag menu


    if renpy.mobile:
        $ cols = 2
    else:
        $ cols = 4

    use game_menu(_("Preferences"), scroll="viewport"):

        vbox:

            hbox:
                box_wrap True

                if renpy.variant("pc"):

                    vbox:
                        style_prefix "radio"
                        label _("Display")
                        textbutton _("Window") action Preference("display", "window")
                        textbutton _("Fullscreen") action Preference("display", "fullscreen")

                vbox:
                    style_prefix "radio"
                    label _("Rollback Side")
                    textbutton _("Disable") action Preference("rollback side", "disable")
                    textbutton _("Left") action Preference("rollback side", "left")
                    textbutton _("Right") action Preference("rollback side", "right")

                vbox:
                    style_prefix "check"
                    label _("Skip")
                    textbutton _("Unseen Text") action Preference("skip", "toggle")
                    textbutton _("After Choices") action Preference("after choices", "toggle")
                    textbutton _("Transitions") action InvertSelected(Preference("transitions", "toggle"))

                vbox:
                    style_prefix "radio"
                    label _("Dialogue Color")

                    textbutton _("White") action gui.SetPreference("diacolor", "#ffffff")
                    textbutton _("Blue") action gui.SetPreference("diacolor", "#a3e0ff")
                    textbutton _("Gold") action gui.SetPreference("diacolor", "#fdf6be")
                    textbutton _("Green") action gui.SetPreference("diacolor", "#befdc9")

                vbox:
                    style_prefix "check"
                    label _("Custom Saves")
                    if persistent.saveNaming:
                        textbutton _("Enabled"):
                            action SetField(persistent, "saveNaming", False)
                            text_color "#fff"
                    elif not persistent.saveNaming or persistent.saveNaming == None:
                        textbutton _("Disabled"):
                            action SetField(persistent, "saveNaming", True)








            null height (4 * gui.pref_spacing)

            hbox:
                style_prefix "slider"
                box_wrap True

                vbox:

                    label _("Text Speed")

                    bar value Preference("text speed")

                    label _("Auto-Forward Time")

                    bar value Preference("auto-forward time")






                vbox:

                    if config.has_music:
                        label _("Music Volume")

                        hbox:
                            bar value Preference("music volume")

                    if config.has_sound:

                        label _("Sound Volume")

                        hbox:
                            bar value Preference("sound volume")

                            if config.sample_sound:
                                textbutton _("Test") action Play("sound", config.sample_sound)


                    if config.has_voice:
                        label _("Voice Volume")

                        hbox:
                            bar value Preference("voice volume")

                            if config.sample_voice:
                                textbutton _("Test") action Play("voice", config.sample_voice)

                    if config.has_music or config.has_sound or config.has_voice:
                        null height gui.pref_spacing

                        textbutton _("Mute All"):
                            action Preference("all mute", "toggle")
                            style "mute_all_button"


style pref_label is gui_label
style pref_label_text is gui_label_text
style pref_vbox is vbox

style radio_label is pref_label
style radio_label_text is pref_label_text
style radio_button is gui_button
style radio_button_text is gui_button_text
style radio_vbox is pref_vbox

style check_label is pref_label
style check_label_text is pref_label_text
style check_button is gui_button
style check_button_text is gui_button_text
style check_vbox is pref_vbox

style slider_label is pref_label
style slider_label_text is pref_label_text
style slider_slider is gui_slider
style slider_button is gui_button
style slider_button_text is gui_button_text
style slider_pref_vbox is pref_vbox

style mute_all_button is check_button
style mute_all_button_text is check_button_text

style pref_label:
    top_margin gui.pref_spacing
    bottom_margin 2

style pref_label_text:
    yalign 1.0

style pref_vbox:
    xsize 285

style radio_vbox:
    xsize 265
    spacing gui.pref_button_spacing

style radio_button:
    properties gui.button_properties("radio_button")



style radio_button_text:
    properties gui.button_text_properties("radio_button")


style check_vbox:
    spacing gui.pref_button_spacing

style check_button:
    properties gui.button_properties("check_button")



style check_button_text:
    properties gui.button_text_properties("check_button")

style slider_slider:
    xsize 350

style slider_button:
    properties gui.button_properties("slider_button")
    yalign 0.5
    left_margin 10

style slider_button_text:
    properties gui.button_text_properties("slider_button")

style slider_vbox:
    xsize 450










screen history():




    predict False tag menu

    use game_menu(_("History"), scroll=("vpgrid" if gui.history_height else "viewport")):

        style_prefix "history"

        for h in _history_list:

            window:


                has fixed:
                    yfit True

                if h.who:

                    label h.who:
                        style "history_name"



                        if "color" in h.who_args:
                            text_color h.who_args["color"]

                text h.what

        if not _history_list:
            label _("The dialogue history is empty.")


style history_window is empty

style history_name is gui_label
style history_name_text is gui_label_text
style history_text is gui_text

style history_text is gui_text

style history_label is gui_label
style history_label_text is gui_label_text

style history_window:
    xfill True
    ysize gui.history_height

style history_name:
    xpos gui.history_name_xpos
    xanchor gui.history_name_xalign
    ypos gui.history_name_ypos
    xsize gui.history_name_width

style history_name_text:
    min_width gui.history_name_width
    text_align gui.history_name_xalign

style history_text:
    xpos gui.history_text_xpos
    ypos gui.history_text_ypos
    xanchor gui.history_text_xalign
    xsize gui.history_text_width
    min_width gui.history_text_width
    text_align gui.history_text_xalign
    layout ("subtitle" if gui.history_text_xalign else "tex")

style history_label:
    xfill True

style history_label_text:
    xalign 0.5








screen help():
    tag menu


    default device = "keyboard"

    use game_menu(_("Help"), scroll="viewport"):

        style_prefix "help"

        vbox:
            spacing 15

            hbox:


                textbutton _("Keyboard") action SetScreenVariable("device", "keyboard")
                textbutton _("Mouse") action SetScreenVariable("device", "mouse")


                if renpy.exists("cobd-guide.pdf"):
                    textbutton _("Official Guide") action OpenURL("file:///" + config.basedir + "/game/cobd-guide.pdf")


                if GamepadExists():
                    textbutton _("Gamepad") action SetScreenVariable("device", "gamepad")

            if device == "keyboard":
                use keyboard_help
            elif device == "mouse":
                use mouse_help
            elif device == "gamepad":
                use gamepad_help


screen keyboard_help():

    hbox:
        label _("Enter")
        text _("Advances dialogue and activates the interface.")

    hbox:
        label _("Space")
        text _("Advances dialogue without selecting choices.")

    hbox:
        label _("Arrow Keys")
        text _("Navigate the interface.")

    hbox:
        label _("Escape")
        text _("Accesses the game menu.")

    hbox:
        label _("Ctrl")
        text _("Skips dialogue while held down.")

    hbox:
        label _("Tab")
        text _("Toggles dialogue skipping.")

    hbox:
        label _("Page Up")
        text _("Rolls back to earlier dialogue.")

    hbox:
        label _("Page Down")
        text _("Rolls forward to later dialogue.")

    hbox:
        label "H"
        text _("Hides the user interface.")

    hbox:
        label "S"
        text _("Takes a screenshot.")

    hbox:
        label "V"
        text _("Toggles assistive {a=https://www.renpy.org/l/voicing}self-voicing{/a}.")


screen mouse_help():

    hbox:
        label _("Left Click")
        text _("Advances dialogue and activates the interface.")

    hbox:
        label _("Middle Click")
        text _("Hides the user interface.")

    hbox:
        label _("Right Click")
        text _("Accesses the game menu.")

    hbox:
        label _("Mouse Wheel Up\nClick Rollback Side")
        text _("Rolls back to earlier dialogue.")

    hbox:
        label _("Mouse Wheel Down")
        text _("Rolls forward to later dialogue.")


screen gamepad_help():

    hbox:
        label _("Right Trigger\nA/Bottom Button")
        text _("Advances dialogue and activates the interface.")

    hbox:
        label _("Left Trigger\nLeft Shoulder")
        text _("Rolls back to earlier dialogue.")

    hbox:
        label _("Right Shoulder")
        text _("Rolls forward to later dialogue.")

    hbox:
        label _("D-Pad, Sticks")
        text _("Navigate the interface.")

    hbox:
        label _("Start, Guide")
        text _("Accesses the game menu.")

    hbox:
        label _("Y/Top Button")
        text _("Hides the user interface.")

    textbutton _("Calibrate") action GamepadCalibrate()


style help_button is gui_button
style help_button_text is gui_button_text
style help_label is gui_label
style help_label_text is gui_label_text
style help_text is gui_text

style help_button:
    properties gui.button_properties("help_button")
    xmargin 8

style help_button_text:
    properties gui.button_text_properties("help_button")

style help_label:
    xsize 250
    right_padding 20

style help_label_text:
    size gui.text_size
    xalign 1.0
    text_align 1.0















screen confirm(message, yes_action, no_action):


    modal True

    zorder 200

    style_prefix "confirm"

    add "gui/overlay/confirm.png"

    frame:

        has vbox:
            xalign .5
            yalign .5
            spacing 30

        label _(message):
            style "confirm_prompt"
            xalign 0.5

        hbox:
            xalign 0.5
            spacing 100

            textbutton _("Yes") action yes_action
            textbutton _("No") action no_action


    key "game_menu" action no_action


style confirm_frame is gui_frame
style confirm_prompt is gui_prompt
style confirm_prompt_text is gui_prompt_text
style confirm_button is gui_medium_button
style confirm_button_text is gui_medium_button_text

style confirm_frame:
    background Frame([ "gui/confirm_frame.png", "gui/frame.png"], gui.confirm_frame_borders, tile=gui.frame_tile)
    padding gui.confirm_frame_borders.padding
    xalign .5
    yalign .5

style confirm_prompt_text:
    text_align 0.5
    layout "subtitle"

style confirm_button:
    properties gui.button_properties("confirm_button")

style confirm_button_text:
    properties gui.button_text_properties("confirm_button")









screen skip_indicator():

    zorder 100
    style_prefix "skip"

    frame:
        has hbox:
            spacing 6

        text _("Skipping")

        text "▸" at delayed_blink(0.0, 1.0) style "skip_triangle"
        text "▸" at delayed_blink(0.2, 1.0) style "skip_triangle"
        text "▸" at delayed_blink(0.4, 1.0) style "skip_triangle"



transform delayed_blink(delay, cycle):
    alpha .5

    pause delay
    block:

        linear .2 alpha 1.0
        pause .2
        linear .2 alpha 0.5
        pause (cycle - .4)
        repeat


style skip_frame is empty
style skip_text is gui_text
style skip_triangle is skip_text

style skip_frame:
    ypos gui.skip_ypos
    xalign 0.5
    background Frame("gui/skip.png", gui.skip_frame_borders, tile=gui.frame_tile)


    padding gui.skip_frame_borders.padding

style skip_text:
    size gui.notify_text_size

style skip_triangle:


    font "DejaVuSans.ttf"









screen notify(message):
    zorder 100
    if isinstance(message, list):
        style_prefix message[1]
        frame at notify_appear:
            text message[0]
        timer 5.25 action Hide('notify')
    else:
        style_prefix "notify"

        frame at notify_appear:
            text message
        timer 3.25 action Hide('notify')



transform notify_appear:
    on show:
        alpha 0
        xalign -0.2
        linear 1.0 alpha 1.0 xalign 0.0
    on hide:

        linear .5 alpha 0.0


style notify_frame is empty
style notify_text is gui_text

style notify_frame:
    ypos gui.notify_ypos

    background Frame("gui/notify.png", gui.notify_frame_borders, tile=gui.frame_tile)
    padding gui.notify_frame_borders.padding

style notify_text:
    properties gui.text_properties("notify")




transform alert_appear:
    on show:
        alpha 0
        xpos -60
        linear .5 xpos 0 alpha 1.0
    on hide:
        linear .5 alpha 0.0


style alert_frame is empty
style alert_text is gui_text

style alert_frame:
    ypos 500

    background Frame("gui/alert.png", Borders(1,20,20,20), tile=gui.frame_tile)
    padding (40, 21, 30, 21)

style alert_text:
    properties gui.text_properties("alert")



transform unlock_appear:
    on show:
        alpha 0
        xpos -60
        linear .5 ypos 0 alpha 1.0
    on hide:
        linear .5 alpha 0.0


style unlock_frame is empty
style unlock_text is gui_text

style unlock_frame:
    ypos 820

    background Frame("gui/unlock.png", Borders(1,20,20,20), tile=gui.frame_tile)
    padding (40, 21, 30, 21)

style unlock_text:
    properties gui.text_properties("alert")



transform glossary_appear:
    on show:
        alpha 0
        xpos -60
        linear .5 ypos 0 alpha 1.0
    on hide:
        linear .5 alpha 0.0


style glossary_frame is empty
style glossary_text is gui_text

style glossary_frame:
    ypos 880

    background Frame("gui/glossary.png", Borders(1,20,20,20), tile=gui.frame_tile)
    padding (40, 21, 30, 21)

style glossary_text:
    properties gui.text_properties("alert")











screen nvl(dialogue, items=None):

    window:
        style "nvl_window"

        has vbox:
            spacing gui.nvl_spacing


        if gui.nvl_height:

            vpgrid:
                cols 1
                yinitial 1.0

                use nvl_dialogue(dialogue)

        else:

            use nvl_dialogue(dialogue)



        for i in items:

            textbutton i.caption:
                action i.action
                style "nvl_button"

    add SideImage() xalign 0.0 yalign 1.0


screen nvl_dialogue(dialogue):

    for d in dialogue:

        window:
            id d.window_id

            has fixed:
                yfit gui.nvl_height is None

            if d.who is not None:

                text d.who:
                    id d.who_id

            text d.what:
                id d.what_id




define config.nvl_list_length = 6

style nvl_window is default
style nvl_entry is default

style nvl_label is say_label
style nvl_dialogue is say_dialogue

style nvl_button is button
style nvl_button_text is button_text

style nvl_window:
    xfill True
    yfill True

    background "gui/nvl.png"
    padding gui.nvl_borders.padding

style nvl_entry:
    xfill True
    ysize gui.nvl_height

style nvl_label:
    xpos gui.nvl_name_xpos
    xanchor gui.nvl_name_xalign
    ypos gui.nvl_name_ypos
    yanchor 0.0
    xsize gui.nvl_name_width
    min_width gui.nvl_name_width
    text_align gui.nvl_name_xalign

style nvl_dialogue:
    xpos gui.nvl_text_xpos
    xanchor gui.nvl_text_xalign
    ypos gui.nvl_text_ypos
    xsize gui.nvl_text_width
    min_width gui.nvl_text_width
    text_align gui.nvl_text_xalign
    layout ("subtitle" if gui.nvl_text_xalign else "tex")

style nvl_thought:
    xpos gui.nvl_thought_xpos
    xanchor gui.nvl_thought_xalign
    ypos gui.nvl_thought_ypos
    xsize gui.nvl_thought_width
    min_width gui.nvl_thought_width
    text_align gui.nvl_thought_xalign
    layout ("subtitle" if gui.nvl_text_xalign else "tex")

style nvl_button:
    properties gui.button_properties("nvl_button")
    xpos gui.nvl_button_xpos
    xanchor gui.nvl_button_xalign

style nvl_button_text:
    properties gui.button_text_properties("nvl_button")







style pref_vbox:
    variant "medium"
    xsize 450



screen quick_menu():
    variant "touch"

    zorder 100

    hbox:
        style_prefix "quick"

        xalign 0.5
        yalign 1.0

        textbutton _("Back") action Rollback()
        textbutton _("Skip") action Skip() alternate Skip(fast=True, confirm=True)
        textbutton _("Auto") action Preference("auto-forward", "toggle")
        textbutton _("Menu") action ShowMenu()


style window:
    variant "small"
    background "gui/phone/textbox.png"

style nvl_window:
    variant "small"
    background "gui/phone/nvl.png"

style main_menu_frame:
    variant "small"
    background "gui/phone/overlay/main_menu.png"

style game_menu_outer_frame:
    variant "small"
    background "gui/phone/overlay/game_menu.png"

style game_menu_navigation_frame:
    variant "small"
    xsize 340

style game_menu_content_frame:
    variant "small"
    top_margin 0

style pref_vbox:
    variant "small"
    xsize 400

style slider_pref_vbox:
    variant "small"
    xsize None

style slider_pref_slider:
    variant "small"
    xsize 600
# Decompiled by unrpyc: https://github.com/CensoredUsername/unrpyc
